## Get the code

Go to your directory where you place scripts and clone it

With read access - via https:

```txt
cd ~/scripts
git clone https://git-repo.iml.unibe.ch/admins/multi-remote-execution.git``
```

As developer - to submit changes into git via ssh

```txt
cd ~/scripts
git clone git@git-repo.iml.unibe.ch:admins/multi-remote-execution.git
```

## File structure

These files are needed to run:

```txt
├── color.class.sh          needed file with functions for coloring
├── config
│   ├── commands.txt        list of pre defined commands (*)
│   ├── serverlist.json     Json file with servers and tags (*)
│   └── userconfig.sh       local userspecific config
├── logs
│   └── returncodes.log     log of executed commands (will be created)
└── multi_ssh.sh         << main script
```

(*) This file comes with a .dist file.

## Create configuration

In the config directory copy 2 *.dist files to the same filename without .dist:

```txt
cd dist
cp commands.txt.dist commands.txt
cp serverlist.json.dist serverlist.json
```
